Name:           libwiimote
Version:        0.4
Release:        2%{?dist}
Summary:        Simple Wiimote Library for Linux

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://libwiimote.sf.net/
Source0:        http://downloads.sf.net/%{name}/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:		libwiimote-0.4-fpic.patch
Patch1:		libwiimote-0.4-includedir.patch
Patch2:		libwiimote-0.4-dso-symlinks.patch

BuildRequires:  autoconf
BuildRequires:  bluez-libs-devel
#Requires:       

%description
Libwiimote is a C-library that provides a simple API for communicating with
the Nintendo Wii Remote (aka. wiimote) on a Linux system. The goal of this
library is to be a complete and easy to use framework for interfacing
applications with the wiimote.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .fpic
%patch1 -p1 -b .includedir
%patch2 -p1 -b .dso-symlinks

%build
autoconf
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f
# boo static libraries.  hooray beer!
rm $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
#%doc
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Tue Dec 18 2007 Adam Jackson <ajax@redhat.com> 0.4-2
- Build with -fPIC so DSOs actually work right. (Tom Callaway)
- Move the header files to someplace less insane.

* Tue Dec 18 2007 Adam Jackson <ajax@redhat.com> 0.4-1
- Initial revision.

